--[[
    Botman - A collection of scripts for managing 7 Days to Die servers
    Copyright (C) 2020  Matthew Dwyer
	           This copyright applies to the Lua source code in this Mudlet profile.
    Email     smegzor@gmail.com
    URL       https://botman.nz
    Source    https://bitbucket.org/mhdwyer/botman
--]]

function listPlayers()
	local k,v

	-- if botman.lpSentTimestamp then
		-- if os.time() - botman.lpSentTimestamp > 30 then
			-- if server.allowBotRestarts then
				-- irc_chat(server.ircAlerts, "Fault detected!! Unable to receive players online from API due to bug in Mudlet. Restarting bot to fix it.")
				-- tempTimer(5, [[restartBot()]])
			-- end
		-- end
	-- end

	if botman.botDisabled or botman.botOffline then
		return
	end

	if botman.finalCountdown == nil then
		botman.finalCountdown = false
	end

	server.scanZombies = false

	if tonumber(botman.playersOnline) ~= 0 then
		if botman.skipLP == nil then
			botman.skipLP = -1
		end

		if tonumber(botman.playersOnline) > 24 then
			botman.skipLP = botman.skipLP + 1
		else
			botman.skipLP = 0
		end

		if botman.skipLP == 0 then
			if server.useAllocsWebAPI then
				url = "http://" .. server.IP .. ":" .. server.webPanelPort + 2 .. "/api/getplayersonline?adminuser=" .. server.allocsWebAPIUser .. "&admintoken=" .. server.allocsWebAPIPassword
				os.remove(homedir .. "/temp/playersOnline.txt")

				if not botman.lpSentTimestamp then
					botman.lpSentTimestamp = os.time()
				end

				downloadFile(homedir .. "/temp/playersOnline.txt", url)
			else
				sendCommand("lp")
			end
		end

		if botman.skipLP == 0 then
			botman.skipLP = -2
		end
	end

	if (botman.scheduledRestart == true and botman.scheduledRestartPaused == false) and server.allowReboot == true then
		if server.delayReboot == nil then
			server.delayReboot = false
		end

		if not server.delayReboot then
			if (botman.scheduledRestartTimestamp - os.time() < 0) and not botman.serverRebooting then
				startReboot()
			else
				if (botman.scheduledRestartTimestamp - os.time() > 11) and (botman.scheduledRestartTimestamp - os.time() < 61) then
					message("say [" .. server.warnColour .. "]REBOOTING IN " .. botman.scheduledRestartTimestamp - os.time() .. " SECONDS[-]")
					botman.finalCountdown = false
				end

				if (botman.scheduledRestartTimestamp - os.time() < 12) and not botman.finalCountdown then
					botman.finalCountdown = true

					rebootCountDown1 = tempTimer( 1, [[message("say [" .. server.alertColour .. "]10[-]")]] )
					rebootCountDown2 = tempTimer( 2, [[message("say [" .. server.alertColour .. "]9[-]")]] )
					rebootCountDown3 = tempTimer( 3, [[message("say [" .. server.alertColour .. "]8[-]")]] )
					rebootCountDown4 = tempTimer( 4, [[message("say [" .. server.alertColour .. "]7[-]")]] )
					rebootCountDown5 = tempTimer( 5, [[message("say [" .. server.alertColour .. "]6[-]")]] )
					rebootCountDown6 = tempTimer( 6, [[message("say [" .. server.alertColour .. "]5[-]")]] )
					rebootCountDown7 = tempTimer( 7, [[message("say [" .. server.alertColour .. "]4[-]")]] )
					rebootCountDown8 = tempTimer( 8, [[message("say [" .. server.alertColour .. "]3[-]")]] )
					rebootCountDown9 = tempTimer( 9, [[message("say [" .. server.alertColour .. "]2[-]")]] )
					rebootCountDown10 = tempTimer( 10, [[message("say [" .. server.alertColour .. "]1[-]")]] )
					rebootCountDown11 = tempTimer( 11, [[message("say [" .. server.alertColour .. "]Rebooting..[-]")]] )
				end
			end
		end
	end
end
